
Redmine - Feature #16314

Redirect back is overheated

2014-03-11 14:09 - Anton Orel

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Fixed   

Description

Take a look at these code lines:

source:trunk/app/controllers/application_controller.rb@13036#L368

It is not used at all.

source:trunk/app/controllers/application_controller.rb@13036#L399

It uses same functionality that method above (relies on HTTP_REFERER).

source:trunk/app/helpers/application_helper.rb@13036#L1100

It could be replaced with `helper_method :back_url`.

source:trunk/app/controllers/application_controller.rb@13036#L390

This condition is never satisfied. I did not find an usage.

History

#1 - 2014-03-15 11:44 - Jean-Philippe Lang

- Tracker changed from Defect to Patch

- Assignee set to Jean-Philippe Lang

Anton Orel wrote:

Take a look at these code lines:

source:app/controllers/application_controller.rb#L368

It is not used at all.

 It's used at least in ContextMenusController.

source:app/controllers/application_controller.rb#L399

It uses same functionality that method above (relies on HTTP_REFERER).

 Not the same functionnality, one relies on the :back_url param, the other one on HTTP_REFERER. But please provide a patch if you think they can

be merged in a single one.

source:app/helpers/application_helper.rb#L1100

It could be replaced with `helper_method :back_url`.

 Please provide a patch.

source:app/controllers/application_controller.rb#L390

This condition is never satisfied. I did not find an usage.

 Used at least in AccountController.

#2 - 2014-04-04 10:05 - Toshi MARUYAMA

- Description updated
https://www.redmine.org/projects/redmine/repository/svn/revisions/13036/entry/trunk/app/controllers/application_controller.rb#L368
https://www.redmine.org/projects/redmine/repository/svn/revisions/13036/entry/trunk/app/controllers/application_controller.rb#L399
https://www.redmine.org/projects/redmine/repository/svn/revisions/13036/entry/trunk/app/helpers/application_helper.rb#L1100
https://www.redmine.org/projects/redmine/repository/svn/revisions/13036/entry/trunk/app/controllers/application_controller.rb#L390
https://www.redmine.org/projects/redmine/repository/svn/entry/app/controllers/application_controller.rb#L368
https://www.redmine.org/projects/redmine/repository/svn/entry/app/controllers/application_controller.rb#L399
https://www.redmine.org/projects/redmine/repository/svn/entry/app/helpers/application_helper.rb#L1100
https://www.redmine.org/projects/redmine/repository/svn/entry/app/controllers/application_controller.rb#L390


#3 - 2024-04-02 20:20 - Holger Just

- Tracker changed from Patch to Feature

- Status changed from New to Closed

- Resolution set to Fixed

Anton Orel wrote:

Take a look at these code lines:

source:trunk/app/controllers/application_controller.rb@13036#L368

It is not used at all.

 This is "main" back_url method since r19486 / #32850

source:trunk/app/helpers/application_helper.rb@13036#L1100

It could be replaced with `helper_method :back_url`.

 This was changed in r19486 / #32850

As the methods have changed quite a bit since 10 years ago and we have added a lot of additional validations, I believe that this issue can now be

closed.
